Package org.eclipse.birt.chart.computation.withaxes

# Class AutoScale.ScaleInfo

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.AutoScale.ScaleInfo

Enclosing class:
  `AutoScale`

public static class AutoScale.ScaleInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`bMaximumFixed`
`final int`
`iScaleDirection`
`final OneAxis`
`oax`
`final PlotComputation`
`plotComp`
`final int`
`type`

## Constructor Summary

Constructors
Constructor
Description
`ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)`

## Method Summary

Modifier and Type
Method
Description
`AutoScale.ScaleInfo`
`bMaximumFixed(boolean bMaximumFixed)`
`AutoScale.ScaleInfo`
`bMinimumFixed(boolean bMinimumFixed)`
`AutoScale.ScaleInfo`
`bStepFixed(boolean bStepFixed)`
`AutoScale.ScaleInfo`
`dFactor(double dFactor)`
`AutoScale.ScaleInfo`
`dPrecision(double dPrecision)`
`AutoScale.ScaleInfo`
`dsiData(DataSetIterator dsiData)`
`AutoScale.ScaleInfo`
`dZoomFactor(double dZoomFactor)`
`AutoScale.ScaleInfo`
`iMarginPercent(int iMarginPercent)`
`AutoScale.ScaleInfo`
`iMinUnit(int iMinUnit)`
`AutoScale.ScaleInfo`
`oMaximumFixed(Object oMaximumFixed)`
`AutoScale.ScaleInfo`
`oMinimumFixed(Object oMinimumFixed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plotComp

public final PlotComputation plotComp

### oax

public final OneAxis oax

### type

public final int type

### iScaleDirection

public final int iScaleDirection

### bMaximumFixed

public boolean bMaximumFixed

## Constructor Details

### ScaleInfo

public ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)

## Method Details

### iMarginPercent

public AutoScale.ScaleInfo iMarginPercent(int iMarginPercent)

### dZoomFactor

public AutoScale.ScaleInfo dZoomFactor(double dZoomFactor)

### dPrecision

public AutoScale.ScaleInfo dPrecision(double dPrecision)

### iMinUnit

public AutoScale.ScaleInfo iMinUnit(int iMinUnit)

### dFactor

public AutoScale.ScaleInfo dFactor(double dFactor)

### dsiData

public AutoScale.ScaleInfo dsiData(DataSetIterator dsiData)

### bMaximumFixed

public AutoScale.ScaleInfo bMaximumFixed(boolean bMaximumFixed)

### bMinimumFixed

public AutoScale.ScaleInfo bMinimumFixed(boolean bMinimumFixed)

### oMinimumFixed

public AutoScale.ScaleInfo oMinimumFixed(Object oMinimumFixed)

### oMaximumFixed

public AutoScale.ScaleInfo oMaximumFixed(Object oMaximumFixed)

### bStepFixed

public AutoScale.ScaleInfo bStepFixed(boolean bStepFixed)